Telegram APIChannels
channels.checkUsername
Check if a username is free and can be assigned to a channel/supergroup
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Check if a username is free and can be assigned to a channel/supergroup
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/channels.checkUsername" \ -H "Content-Type: application/json" \ -d '{ "params": { "channel": { "_": "inputChannelEmpty" }, "username": "string" } }'{ "result": true}checkSearchPostsFlood
Check if the specified [global post search »](https://core.telegram.org/api/search#posts-tab) requires payment.
convertToGigagroup
Convert a [supergroup](https://core.telegram.org/api/channel) to a [gigagroup](https://core.telegram.org/api/channel), when requested by [channel suggestions](https://core.telegram.org/api/config#channel-suggestions).